Package hdf.hdflib

# Class HDFConstants

java.lang.Object
hdf.hdflib.HDFConstants

public class HDFConstants extends Object

This interface defines the values of constants defined by the HDF 4.2 API.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `AN_DATA_DESC`
  `static int`
  `AN_DATA_LABEL`
  `static int`
  `AN_FILE_DESC`
  `static int`
  `AN_FILE_LABEL`
  `static String`
  `ANNOTATION`
  `static String`
  `CHAR16`
  `static String`
  `CHAR8`
  `static int`
  `COMP_CODE_DEFLATE`
  `static int`
  `COMP_CODE_INVALID`
  `static int`
  `COMP_CODE_JPEG`
  `static int`
  `COMP_CODE_NBIT`
  `static int`
  `COMP_CODE_NONE`
  `static int`
  `COMP_CODE_RLE`
  `static int`
  `COMP_CODE_SKPHUFF`
  `static int`
  `COMP_CODE_SZIP`
  `static int`
  `COMP_IMCOMP`
  `static int`
  `COMP_JPEG`
  `static int`
  `COMP_NONE`
  `static int`
  `COMP_RLE`
  `static int`
  `DF_FORWARD`
  `static int`
  `DFACC_CREATE`
  `static int`
  `DFACC_DEFAULT`
  `static int`
  `DFACC_PARALLEL`
  `static int`
  `DFACC_RDONLY`
  `static int`
  `DFACC_RDWR`
  `static int`
  `DFACC_READ`
  `static int`
  `DFACC_SERIAL`
  `static int`
  `DFACC_WRITE`
  `static int`
  `DFIL_LINE`
  `static int`
  `DFIL_PIXEL`
  `static int`
  `DFIL_PLANE`
  `static int`
  `DFNT_CHAR`
  `static int`
  `DFNT_CHAR16`
  No supported by HDF
  `static int`
  `DFNT_CHAR8`
  char
  `static int`
  `DFNT_CUSTOM`
  `static int`
  `DFNT_DOUBLE`
  `static int`
  `DFNT_FLOAT`
  `static int`
  `DFNT_FLOAT128`
  `static int`
  `DFNT_FLOAT32`
  float
  `static int`
  `DFNT_FLOAT64`
  `static int`
  `DFNT_HDF`
  `static int`
  `DFNT_INT128`
  `static int`
  `DFNT_INT16`
  short
  `static int`
  `DFNT_INT32`
  interger
  `static int`
  `DFNT_INT64`
  No supported
  `static int`
  `DFNT_INT8`
  8-bit integer
  `static int`
  `DFNT_LITEND`
  `static int`
  `DFNT_MASK`
  `static int`
  `DFNT_NATIVE`
  `static int`
  `DFNT_UCHAR`
  `static int`
  `DFNT_UCHAR16`
  `static int`
  `DFNT_UCHAR8`
  unsigned char
  `static int`
  `DFNT_UINT128`
  `static int`
  `DFNT_UINT16`
  unsigned interger
  `static int`
  `DFNT_UINT32`
  unsigned interger
  `static int`
  `DFNT_UINT64`
  `static int`
  `DFNT_UINT8`
  unsigned 8-bit interger
  `static int`
  `DFREF_NONE`
  `static int`
  `DFREF_WILDCARD`
  `static int`
  `DFS_MAXLEN`
  `static int`
  `DFTAG_AR`
  `static int`
  `DFTAG_BREQ`
  `static int`
  `DFTAG_CAL`
  `static int`
  `DFTAG_CCN`
  `static int`
  `DFTAG_CFM`
  `static int`
  `DFTAG_CHUNK`
  `static int`
  `DFTAG_CHUNKED`
  `static int`
  `DFTAG_CI`
  `static int`
  `DFTAG_CI8`
  `static int`
  `DFTAG_COMPRESSED`
  `static int`
  `DFTAG_DIA`
  `static int`
  `DFTAG_DIL`
  `static int`
  `DFTAG_DRAW`
  `static int`
  `DFTAG_EREQ`
  `static int`
  `DFTAG_FD`
  `static int`
  `DFTAG_FID`
  `static int`
  `DFTAG_FREE`
  `static int`
  `DFTAG_FV`
  `static int`
  `DFTAG_GREYJPEG`
  `static int`
  `DFTAG_GREYJPEG5`
  `static int`
  `DFTAG_ID`
  `static int`
  `DFTAG_ID8`
  `static int`
  `DFTAG_II8`
  `static int`
  `DFTAG_IMC`
  `static int`
  `DFTAG_IMCOMP`
  `static int`
  `DFTAG_IP8`
  `static int`
  `DFTAG_JPEG`
  `static int`
  `DFTAG_JPEG5`
  `static int`
  `DFTAG_LD`
  `static int`
  `DFTAG_LINKED`
  `static int`
  `DFTAG_LUT`
  `static int`
  `DFTAG_MA`
  `static int`
  `DFTAG_MD`
  `static int`
  `DFTAG_MT`
  `static int`
  `DFTAG_MTO`
  `static int`
  `DFTAG_NDG`
  `static int`
  `DFTAG_NRI`
  `static int`
  `DFTAG_NT`
  `static int`
  `DFTAG_NULL`
  `static int`
  `DFTAG_RI`
  `static int`
  `DFTAG_RI8`
  `static int`
  `DFTAG_RIG`
  `static int`
  `DFTAG_RLE`
  `static int`
  `DFTAG_RUN`
  `static int`
  `DFTAG_SD`
  `static int`
  `DFTAG_SDC`
  `static int`
  `DFTAG_SDD`
  `static int`
  `DFTAG_SDF`
  `static int`
  `DFTAG_SDG`
  `static int`
  `DFTAG_SDL`
  `static int`
  `DFTAG_SDLNK`
  `static int`
  `DFTAG_SDM`
  `static int`
  `DFTAG_SDRAG`
  `static int`
  `DFTAG_SDS`
  `static int`
  `DFTAG_SDT`
  `static int`
  `DFTAG_SDU`
  `static int`
  `DFTAG_T105`
  `static int`
  `DFTAG_T14`
  `static int`
  `DFTAG_TD`
  `static int`
  `DFTAG_TID`
  `static int`
  `DFTAG_VERSION`
  `static int`
  `DFTAG_VG`
  `static int`
  `DFTAG_VH`
  `static int`
  `DFTAG_VLINKED`
  `static int`
  `DFTAG_VLINKED_DATA`
  `static int`
  `DFTAG_VS`
  `static int`
  `DFTAG_WILDCARD`
  `static int`
  `DFTAG_XYP`
  `static String`
  `DIM_VALS`
  `static String`
  `DIM_VALS01`
  `static int`
  `FAIL`
  FAIL
  `static String`
  `FLOAT128`
  `static String`
  `FLOAT32`
  `static String`
  `FLOAT64`
  `static int`
  `FULL_INTERLACE`
  interlacing supported by the vset.
  `static String`
  `GR`
  `static String`
  `GR_NAME`
  `static String`
  `HDF_ATTRIBUTE`
  `static String`
  `HDF_CDF`
  `static String`
  `HDF_CHK_TBL`
  `static int`
  `HDF_CHUNK`
  `static int`
  `HDF_COMP`
  `static String`
  `HDF_CRDVAR`
  `static String`
  `HDF_DIMENSION`
  `static int`
  `HDF_NBIT`
  `static int`
  `HDF_NONE`
  `static String`
  `HDF_SDSVAR`
  `static String`
  `HDF_UDIMENSION`
  `static String`
  `HDF_VARIABLE`
  `static String`
  `INT128`
  `static String`
  `INT16`
  `static String`
  `INT32`
  `static String`
  `INT64`
  `static String`
  `INT8`
  `static int`
  `MAX_VAR_DIMS`
  `static int`
  `MFGR_INTERLACE_COMPONENT`
  component interlacing scheme
  `static int`
  `MFGR_INTERLACE_LINE`
  line interlacing scheme
  `static int`
  `MFGR_INTERLACE_PIXEL`
  pixel interlacing scheme
  `static int`
  `NO_INTERLACE`
  `static String`
  `RI_NAME`
  `static String`
  `RI24`
  `static String`
  `RI8`
  `static String`
  `RIGATTRCLASS`
  `static String`
  `RIGATTRNAME`
  `static int`
  `SD_DIMVAL_BW_COMP`
  `static int`
  `SD_DIMVAL_BW_INCOMP`
  `static int`
  `SD_FILL`
  `static int`
  `SD_NOFILL`
  `static int`
  `SD_UNLIMITED`
  `static String`
  `SDS`
  `static String`
  `UCHAR16`
  `static String`
  `UCHAR8`
  `static String`
  `UINT128`
  `static String`
  `UINT16`
  `static String`
  `UINT32`
  `static String`
  `UINT64`
  `static String`
  `UINT8`
  `static String`
  `VDATA`
  `static String`
  `VGROUP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HDFConstants()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getType​(int type)`
  convert number type to string type
  `static int`
  `getType​(String type)`
  convert string type to number type
  `static int`
  `getTypeSize​(int type)`
  gets the size of the data type in bytes, e.g size of DFNT_FLOAT32 = 4

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FAIL

    public static final int FAIL
    FAIL
    See Also:
      Constant Field Values

  - ### DFACC_READ

    public static final int DFACC_READ
    See Also:
      Constant Field Values

  - ### DFACC_WRITE

    public static final int DFACC_WRITE
    See Also:
      Constant Field Values

  - ### DFACC_RDWR

    public static final int DFACC_RDWR
    See Also:
      Constant Field Values

  - ### DFACC_CREATE

    public static final int DFACC_CREATE
    See Also:
      Constant Field Values

  - ### DFACC_RDONLY

    public static final int DFACC_RDONLY
    See Also:
      Constant Field Values

  - ### DFACC_DEFAULT

    public static final int DFACC_DEFAULT
    See Also:
      Constant Field Values

  - ### DFACC_SERIAL

    public static final int DFACC_SERIAL
    See Also:
      Constant Field Values

  - ### DFACC_PARALLEL

    public static final int DFACC_PARALLEL
    See Also:
      Constant Field Values

  - ### AN_DATA_LABEL

    public static final int AN_DATA_LABEL
    See Also:
      Constant Field Values

  - ### AN_DATA_DESC

    public static final int AN_DATA_DESC
    See Also:
      Constant Field Values

  - ### AN_FILE_LABEL

    public static final int AN_FILE_LABEL
    See Also:
      Constant Field Values

  - ### AN_FILE_DESC

    public static final int AN_FILE_DESC
    See Also:
      Constant Field Values

  - ### DFREF_WILDCARD

    public static final int DFREF_WILDCARD
    See Also:
      Constant Field Values

  - ### DFTAG_WILDCARD

    public static final int DFTAG_WILDCARD
    See Also:
      Constant Field Values

  - ### DFREF_NONE

    public static final int DFREF_NONE
    See Also:
      Constant Field Values

  - ### DFTAG_NULL

    public static final int DFTAG_NULL
    See Also:
      Constant Field Values

  - ### DFTAG_LINKED

    public static final int DFTAG_LINKED
    See Also:
      Constant Field Values

  - ### DFTAG_VERSION

    public static final int DFTAG_VERSION
    See Also:
      Constant Field Values

  - ### DFTAG_COMPRESSED

    public static final int DFTAG_COMPRESSED
    See Also:
      Constant Field Values

  - ### DFTAG_VLINKED

    public static final int DFTAG_VLINKED
    See Also:
      Constant Field Values

  - ### DFTAG_VLINKED_DATA

    public static final int DFTAG_VLINKED_DATA
    See Also:
      Constant Field Values

  - ### DFTAG_CHUNKED

    public static final int DFTAG_CHUNKED
    See Also:
      Constant Field Values

  - ### DFTAG_CHUNK

    public static final int DFTAG_CHUNK
    See Also:
      Constant Field Values

  - ### DFTAG_FID

    public static final int DFTAG_FID
    See Also:
      Constant Field Values

  - ### DFTAG_FD

    public static final int DFTAG_FD
    See Also:
      Constant Field Values

  - ### DFTAG_TID

    public static final int DFTAG_TID
    See Also:
      Constant Field Values

  - ### DFTAG_TD

    public static final int DFTAG_TD
    See Also:
      Constant Field Values

  - ### DFTAG_DIL

    public static final int DFTAG_DIL
    See Also:
      Constant Field Values

  - ### DFTAG_DIA

    public static final int DFTAG_DIA
    See Also:
      Constant Field Values

  - ### DFTAG_NT

    public static final int DFTAG_NT
    See Also:
      Constant Field Values

  - ### DFTAG_MT

    public static final int DFTAG_MT
    See Also:
      Constant Field Values

  - ### DFTAG_FREE

    public static final int DFTAG_FREE
    See Also:
      Constant Field Values

  - ### DFTAG_ID8

    public static final int DFTAG_ID8
    See Also:
      Constant Field Values

  - ### DFTAG_IP8

    public static final int DFTAG_IP8
    See Also:
      Constant Field Values

  - ### DFTAG_RI8

    public static final int DFTAG_RI8
    See Also:
      Constant Field Values

  - ### DFTAG_CI8

    public static final int DFTAG_CI8
    See Also:
      Constant Field Values

  - ### DFTAG_II8

    public static final int DFTAG_II8
    See Also:
      Constant Field Values

  - ### DFTAG_ID

    public static final int DFTAG_ID
    See Also:
      Constant Field Values

  - ### DFTAG_LUT

    public static final int DFTAG_LUT
    See Also:
      Constant Field Values

  - ### DFTAG_RI

    public static final int DFTAG_RI
    See Also:
      Constant Field Values

  - ### DFTAG_CI

    public static final int DFTAG_CI
    See Also:
      Constant Field Values

  - ### DFTAG_NRI

    public static final int DFTAG_NRI
    See Also:
      Constant Field Values

  - ### DFTAG_RIG

    public static final int DFTAG_RIG
    See Also:
      Constant Field Values

  - ### DFTAG_LD

    public static final int DFTAG_LD
    See Also:
      Constant Field Values

  - ### DFTAG_MD

    public static final int DFTAG_MD
    See Also:
      Constant Field Values

  - ### DFTAG_MA

    public static final int DFTAG_MA
    See Also:
      Constant Field Values

  - ### DFTAG_CCN

    public static final int DFTAG_CCN
    See Also:
      Constant Field Values

  - ### DFTAG_CFM

    public static final int DFTAG_CFM
    See Also:
      Constant Field Values

  - ### DFTAG_AR

    public static final int DFTAG_AR
    See Also:
      Constant Field Values

  - ### DFTAG_DRAW

    public static final int DFTAG_DRAW
    See Also:
      Constant Field Values

  - ### DFTAG_RUN

    public static final int DFTAG_RUN
    See Also:
      Constant Field Values

  - ### DFTAG_XYP

    public static final int DFTAG_XYP
    See Also:
      Constant Field Values

  - ### DFTAG_MTO

    public static final int DFTAG_MTO
    See Also:
      Constant Field Values

  - ### DFTAG_T14

    public static final int DFTAG_T14
    See Also:
      Constant Field Values

  - ### DFTAG_T105

    public static final int DFTAG_T105
    See Also:
      Constant Field Values

  - ### DFTAG_SDG

    public static final int DFTAG_SDG
    See Also:
      Constant Field Values

  - ### DFTAG_SDD

    public static final int DFTAG_SDD
    See Also:
      Constant Field Values

  - ### DFTAG_SD

    public static final int DFTAG_SD
    See Also:
      Constant Field Values

  - ### DFTAG_SDS

    public static final int DFTAG_SDS
    See Also:
      Constant Field Values

  - ### DFTAG_SDL

    public static final int DFTAG_SDL
    See Also:
      Constant Field Values

  - ### DFTAG_SDU

    public static final int DFTAG_SDU
    See Also:
      Constant Field Values

  - ### DFTAG_SDF

    public static final int DFTAG_SDF
    See Also:
      Constant Field Values

  - ### DFTAG_SDM

    public static final int DFTAG_SDM
    See Also:
      Constant Field Values

  - ### DFTAG_SDC

    public static final int DFTAG_SDC
    See Also:
      Constant Field Values

  - ### DFTAG_SDT

    public static final int DFTAG_SDT
    See Also:
      Constant Field Values

  - ### DFTAG_SDLNK

    public static final int DFTAG_SDLNK
    See Also:
      Constant Field Values

  - ### DFTAG_NDG

    public static final int DFTAG_NDG
    See Also:
      Constant Field Values

  - ### DFTAG_CAL

    public static final int DFTAG_CAL
    See Also:
      Constant Field Values

  - ### DFTAG_FV

    public static final int DFTAG_FV
    See Also:
      Constant Field Values

  - ### DFTAG_BREQ

    public static final int DFTAG_BREQ
    See Also:
      Constant Field Values

  - ### DFTAG_SDRAG

    public static final int DFTAG_SDRAG
    See Also:
      Constant Field Values

  - ### DFTAG_EREQ

    public static final int DFTAG_EREQ
    See Also:
      Constant Field Values

  - ### DFTAG_VG

    public static final int DFTAG_VG
    See Also:
      Constant Field Values

  - ### DFTAG_VH

    public static final int DFTAG_VH
    See Also:
      Constant Field Values

  - ### DFTAG_VS

    public static final int DFTAG_VS
    See Also:
      Constant Field Values

  - ### DFTAG_RLE

    public static final int DFTAG_RLE
    See Also:
      Constant Field Values

  - ### DFTAG_IMC

    public static final int DFTAG_IMC
    See Also:
      Constant Field Values

  - ### DFTAG_IMCOMP

    public static final int DFTAG_IMCOMP
    See Also:
      Constant Field Values

  - ### DFTAG_JPEG

    public static final int DFTAG_JPEG
    See Also:
      Constant Field Values

  - ### DFTAG_GREYJPEG

    public static final int DFTAG_GREYJPEG
    See Also:
      Constant Field Values

  - ### DFTAG_JPEG5

    public static final int DFTAG_JPEG5
    See Also:
      Constant Field Values

  - ### DFTAG_GREYJPEG5

    public static final int DFTAG_GREYJPEG5
    See Also:
      Constant Field Values

  - ### MFGR_INTERLACE_PIXEL

    public static final int MFGR_INTERLACE_PIXEL
    pixel interlacing scheme
    See Also:
      Constant Field Values

  - ### MFGR_INTERLACE_LINE

    public static final int MFGR_INTERLACE_LINE
    line interlacing scheme
    See Also:
      Constant Field Values

  - ### MFGR_INTERLACE_COMPONENT

    public static final int MFGR_INTERLACE_COMPONENT
    component interlacing scheme
    See Also:
      Constant Field Values

  - ### FULL_INTERLACE

    public static final int FULL_INTERLACE
    interlacing supported by the vset.
    See Also:
      Constant Field Values

  - ### NO_INTERLACE

    public static final int NO_INTERLACE
    See Also:
      Constant Field Values

  - ### DFNT_UCHAR8

    public static final int DFNT_UCHAR8
    unsigned char
    See Also:
      Constant Field Values

  - ### DFNT_UCHAR

    public static final int DFNT_UCHAR
    See Also:
      Constant Field Values

  - ### DFNT_CHAR8

    public static final int DFNT_CHAR8
    char
    See Also:
      Constant Field Values

  - ### DFNT_CHAR

    public static final int DFNT_CHAR
    See Also:
      Constant Field Values

  - ### DFNT_CHAR16

    public static final int DFNT_CHAR16
    No supported by HDF
    See Also:
      Constant Field Values

  - ### DFNT_UCHAR16

    public static final int DFNT_UCHAR16
    See Also:
      Constant Field Values

  - ### DFNT_FLOAT32

    public static final int DFNT_FLOAT32
    float
    See Also:
      Constant Field Values

  - ### DFNT_FLOAT

    public static final int DFNT_FLOAT
    See Also:
      Constant Field Values

  - ### DFNT_FLOAT64

    public static final int DFNT_FLOAT64
    See Also:
      Constant Field Values

  - ### DFNT_FLOAT128

    public static final int DFNT_FLOAT128
    See Also:
      Constant Field Values

  - ### DFNT_DOUBLE

    public static final int DFNT_DOUBLE
    See Also:
      Constant Field Values

  - ### DFNT_INT8

    public static final int DFNT_INT8
    8-bit integer
    See Also:
      Constant Field Values

  - ### DFNT_UINT8

    public static final int DFNT_UINT8
    unsigned 8-bit interger
    See Also:
      Constant Field Values

  - ### DFNT_INT16

    public static final int DFNT_INT16
    short
    See Also:
      Constant Field Values

  - ### DFNT_UINT16

    public static final int DFNT_UINT16
    unsigned interger
    See Also:
      Constant Field Values

  - ### DFNT_INT32

    public static final int DFNT_INT32
    interger
    See Also:
      Constant Field Values

  - ### DFNT_UINT32

    public static final int DFNT_UINT32
    unsigned interger
    See Also:
      Constant Field Values

  - ### DFNT_INT64

    public static final int DFNT_INT64
    No supported
    See Also:
      Constant Field Values

  - ### DFNT_UINT64

    public static final int DFNT_UINT64
    See Also:
      Constant Field Values

  - ### DFNT_INT128

    public static final int DFNT_INT128
    See Also:
      Constant Field Values

  - ### DFNT_UINT128

    public static final int DFNT_UINT128
    See Also:
      Constant Field Values

  - ### DFNT_HDF

    public static final int DFNT_HDF
    See Also:
      Constant Field Values

  - ### DFNT_NATIVE

    public static final int DFNT_NATIVE
    See Also:
      Constant Field Values

  - ### DFNT_CUSTOM

    public static final int DFNT_CUSTOM
    See Also:
      Constant Field Values

  - ### DFNT_LITEND

    public static final int DFNT_LITEND
    See Also:
      Constant Field Values

  - ### DFNT_MASK

    public static final int DFNT_MASK
    See Also:
      Constant Field Values

  - ### DF_FORWARD

    public static final int DF_FORWARD
    See Also:
      Constant Field Values

  - ### DFS_MAXLEN

    public static final int DFS_MAXLEN
    See Also:
      Constant Field Values

  - ### COMP_NONE

    public static final int COMP_NONE
    See Also:
      Constant Field Values

  - ### COMP_JPEG

    public static final int COMP_JPEG
    See Also:
      Constant Field Values

  - ### COMP_RLE

    public static final int COMP_RLE
    See Also:
      Constant Field Values

  - ### COMP_IMCOMP

    public static final int COMP_IMCOMP
    See Also:
      Constant Field Values

  - ### COMP_CODE_NONE

    public static final int COMP_CODE_NONE
    See Also:
      Constant Field Values

  - ### COMP_CODE_RLE

    public static final int COMP_CODE_RLE
    See Also:
      Constant Field Values

  - ### COMP_CODE_NBIT

    public static final int COMP_CODE_NBIT
    See Also:
      Constant Field Values

  - ### COMP_CODE_SKPHUFF

    public static final int COMP_CODE_SKPHUFF
    See Also:
      Constant Field Values

  - ### COMP_CODE_DEFLATE

    public static final int COMP_CODE_DEFLATE
    See Also:
      Constant Field Values

  - ### COMP_CODE_SZIP

    public static final int COMP_CODE_SZIP
    See Also:
      Constant Field Values

  - ### COMP_CODE_INVALID

    public static final int COMP_CODE_INVALID
    See Also:
      Constant Field Values

  - ### COMP_CODE_JPEG

    public static final int COMP_CODE_JPEG
    See Also:
      Constant Field Values

  - ### DFIL_PIXEL

    public static final int DFIL_PIXEL
    See Also:
      Constant Field Values

  - ### DFIL_LINE

    public static final int DFIL_LINE
    See Also:
      Constant Field Values

  - ### DFIL_PLANE

    public static final int DFIL_PLANE
    See Also:
      Constant Field Values

  - ### SD_UNLIMITED

    public static final int SD_UNLIMITED
    See Also:
      Constant Field Values

  - ### SD_FILL

    public static final int SD_FILL
    See Also:
      Constant Field Values

  - ### SD_NOFILL

    public static final int SD_NOFILL
    See Also:
      Constant Field Values

  - ### SD_DIMVAL_BW_COMP

    public static final int SD_DIMVAL_BW_COMP
    See Also:
      Constant Field Values

  - ### SD_DIMVAL_BW_INCOMP

    public static final int SD_DIMVAL_BW_INCOMP
    See Also:
      Constant Field Values

  - ### HDF_NONE

    public static final int HDF_NONE
    See Also:
      Constant Field Values

  - ### HDF_CHUNK

    public static final int HDF_CHUNK
    See Also:
      Constant Field Values

  - ### HDF_COMP

    public static final int HDF_COMP
    See Also:
      Constant Field Values

  - ### HDF_NBIT

    public static final int HDF_NBIT
    See Also:
      Constant Field Values

  - ### MAX_VAR_DIMS

    public static final int MAX_VAR_DIMS
    See Also:
      Constant Field Values

  - ### GR_NAME

    public static final String GR_NAME
    See Also:
      Constant Field Values

  - ### RI_NAME

    public static final String RI_NAME
    See Also:
      Constant Field Values

  - ### RIGATTRNAME

    public static final String RIGATTRNAME
    See Also:
      Constant Field Values

  - ### RIGATTRCLASS

    public static final String RIGATTRCLASS
    See Also:
      Constant Field Values

  - ### HDF_ATTRIBUTE

    public static final String HDF_ATTRIBUTE
    See Also:
      Constant Field Values

  - ### HDF_VARIABLE

    public static final String HDF_VARIABLE
    See Also:
      Constant Field Values

  - ### HDF_DIMENSION

    public static final String HDF_DIMENSION
    See Also:
      Constant Field Values

  - ### HDF_UDIMENSION

    public static final String HDF_UDIMENSION
    See Also:
      Constant Field Values

  - ### DIM_VALS

    public static final String DIM_VALS
    See Also:
      Constant Field Values

  - ### DIM_VALS01

    public static final String DIM_VALS01
    See Also:
      Constant Field Values

  - ### HDF_CHK_TBL

    public static final String HDF_CHK_TBL
    See Also:
      Constant Field Values

  - ### HDF_SDSVAR

    public static final String HDF_SDSVAR
    See Also:
      Constant Field Values

  - ### HDF_CRDVAR

    public static final String HDF_CRDVAR
    See Also:
      Constant Field Values

  - ### HDF_CDF

    public static final String HDF_CDF
    See Also:
      Constant Field Values

  - ### ANNOTATION

    public static final String ANNOTATION
    See Also:
      Constant Field Values

  - ### RI8

    public static final String RI8
    See Also:
      Constant Field Values

  - ### RI24

    public static final String RI24
    See Also:
      Constant Field Values

  - ### GR

    public static final String GR
    See Also:
      Constant Field Values

  - ### SDS

    public static final String SDS
    See Also:
      Constant Field Values

  - ### VDATA

    public static final String VDATA
    See Also:
      Constant Field Values

  - ### VGROUP

    public static final String VGROUP
    See Also:
      Constant Field Values

  - ### UCHAR8

    public static final String UCHAR8
    See Also:
      Constant Field Values

  - ### CHAR8

    public static final String CHAR8
    See Also:
      Constant Field Values

  - ### UCHAR16

    public static final String UCHAR16
    See Also:
      Constant Field Values

  - ### CHAR16

    public static final String CHAR16
    See Also:
      Constant Field Values

  - ### FLOAT32

    public static final String FLOAT32
    See Also:
      Constant Field Values

  - ### FLOAT64

    public static final String FLOAT64
    See Also:
      Constant Field Values

  - ### FLOAT128

    public static final String FLOAT128
    See Also:
      Constant Field Values

  - ### INT8

    public static final String INT8
    See Also:
      Constant Field Values

  - ### UINT8

    public static final String UINT8
    See Also:
      Constant Field Values

  - ### INT16

    public static final String INT16
    See Also:
      Constant Field Values

  - ### UINT16

    public static final String UINT16
    See Also:
      Constant Field Values

  - ### INT32

    public static final String INT32
    See Also:
      Constant Field Values

  - ### UINT32

    public static final String UINT32
    See Also:
      Constant Field Values

  - ### INT64

    public static final String INT64
    See Also:
      Constant Field Values

  - ### UINT64

    public static final String UINT64
    See Also:
      Constant Field Values

  - ### INT128

    public static final String INT128
    See Also:
      Constant Field Values

  - ### UINT128

    public static final String UINT128
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### HDFConstants

    public HDFConstants()

- ## Method Details

  - ### getType

    public static String getType​(int type)
    convert number type to string type
    Parameters:
      `type` - the number representing the data type
    Returns:
      the string representing the data type

  - ### getType

    public static int getType​(String type)
    convert string type to number type
    Parameters:
      `type` - the string representing the data type
    Returns:
      the integer representing the data type

  - ### getTypeSize

    public static int getTypeSize​(int type)
    gets the size of the data type in bytes, e.g size of DFNT_FLOAT32 = 4
    Parameters:
      `type` - the number representing the data type
    Returns:
      the size of the data type